<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_950c864c3fc8d7c4db561eea" . "71d4aca9" => base64_decode("eWVhcg=" . "="), "_a8fa98c95" . "a8a496939e" . "aebfef6686" . "5b4" => base64_decode("d2Vla" . "w=="), "_07e0706709a15e456d6664" . "d499040d73" => base64_decode("Yml3ZW" . "Vr"), "_e2ecb80cd1b605a951a" . "d84d608101ac4" => base64_decode("bW9udGg" . "="), "_0788425a89477a5f6ac1bd2ceb4" . "34967" => base64_decode("RVJST1I6OiBVbm" . "tub3duIHBlcmlv" . "ZCAtIA=="));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a8fa98c95a8a496939eaebfef66" . "865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_07e0706709a15e" . "456d6664d499040" . "d73"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2ecb80cd1b605a951ad84d" . "608101ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_950c864c3fc8d7c4db561eea71d" . "4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0788425a89477a5" . "f6ac1bd2ceb43496" . "7"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}